# Uses of Class
org.apache.lucene.index.FloatVectorValues

Packages that use FloatVectorValues
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util.quantization
Provides quantization methods for scaling vector values to smaller data types and possibly fewer dimensions

## Uses of FloatVectorValues in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return FloatVectorValues
Modifier and Type
Method
Description
`abstract FloatVectorValues`
KnnVectorsReader.`getFloatVectorValues(String field)`
Returns the `FloatVectorValues` for the given `field`.
`static FloatVectorValues`
KnnVectorsWriter.MergedVectorValues.`mergeFloatVectorValues(FieldInfo fieldInfo, MergeState mergeState)`
Returns a merged view over all the segment's `FloatVectorValues`.
Methods in org.apache.lucene.codecs with parameters of type FloatVectorValues
Modifier and Type
Method
Description
`protected abstract void`
BufferingKnnVectorsWriter.`writeField(FieldInfo fieldInfo, FloatVectorValues floatVectorValues, int maxDoc)`
Write the provided float vector field

## Uses of FloatVectorValues in org.apache.lucene.codecs.lucene95

Subclasses of FloatVectorValues in org.apache.lucene.codecs.lucene95
Modifier and Type
Class
Description
`class`
`OffHeapFloatVectorValues`
Read the vector values from the index input.
`static class`
`OffHeapFloatVectorValues.DenseOffHeapVectorValues`
Dense vector values that are stored off-heap.

## Uses of FloatVectorValues in org.apache.lucene.codecs.lucene99

Methods in org.apache.lucene.codecs.lucene99 that return FloatVectorValues
Modifier and Type
Method
Description
`FloatVectorValues`
Lucene99FlatVectorsReader.`getFloatVectorValues(String field)`
`FloatVectorValues`
Lucene99HnswVectorsReader.`getFloatVectorValues(String field)`
`FloatVectorValues`
Lucene99ScalarQuantizedVectorsReader.`getFloatVectorValues(String field)`

## Uses of FloatVectorValues in org.apache.lucene.codecs.perfield

Methods in org.apache.lucene.codecs.perfield that return FloatVectorValues
Modifier and Type
Method
Description
`FloatVectorValues`
PerFieldKnnVectorsFormat.FieldsReader.`getFloatVectorValues(String field)`

## Uses of FloatVectorValues in org.apache.lucene.index

Methods in org.apache.lucene.index that return FloatVectorValues
Modifier and Type
Method
Description
`abstract FloatVectorValues`
FloatVectorValues.`copy()`
`static FloatVectorValues`
FloatVectorValues.`fromFloats(List<float[]> vectors, int dim)`
Creates a `FloatVectorValues` from a list of float arrays.
`final FloatVectorValues`
CodecReader.`getFloatVectorValues(String field)`
`FloatVectorValues`
ExitableDirectoryReader.ExitableFilterAtomicReader.`getFloatVectorValues(String field)`
`FloatVectorValues`
FilterLeafReader.`getFloatVectorValues(String field)`
`abstract FloatVectorValues`
LeafReader.`getFloatVectorValues(String field)`
Returns `FloatVectorValues` for this field, or null if no `FloatVectorValues` were indexed.
`FloatVectorValues`
ParallelLeafReader.`getFloatVectorValues(String fieldName)`

## Uses of FloatVectorValues in org.apache.lucene.util.quantization

Methods in org.apache.lucene.util.quantization with parameters of type FloatVectorValues
Modifier and Type
Method
Description
`static ScalarQuantizer`
ScalarQuantizer.`fromVectors(FloatVectorValues floatVectorValues, float confidenceInterval, int totalVectorCount, byte bits)`
This will read the float vector values and calculate the quantiles.
`static ScalarQuantizer`
ScalarQuantizer.`fromVectorsAutoInterval(FloatVectorValues floatVectorValues, VectorSimilarityFunction function, int totalVectorCount, byte bits)`